<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- ============================================================= -->
<!--                                                               -->
<!--  MODULE:    contentobject DTD Portiko - vcard definitions     -->
<!--  VERSION:   2.0b                                              -->
<!--  DATE:      March 03, 2004                                    -->
<!--  AUTHOR:    ckarkola, lgoldhahn, jwilhelm, mberg              -->
<!--                                                               -->
<!-- Copyright 2001 - 2004 Portiko, TU Dresden                     -->
<!--                                                               -->
<!-- This stylesheet is free software; you can redistribute it     -->
<!-- and/or modify it under the terms of version 2.1 of            -->
<!-- the GNU Lesser General Public License as published by the     -->
<!-- Free Software Foundation.                                     -->
<!--                                                               -->
<!-- This stylesheet is distributed in the hope that it will be    -->
<!-- useful, but WITHOUT ANY WARRANTY; without even the implied    -->
<!-- warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR       -->
<!-- PURPOSE. See the GNU Lesser General Public License for more   -->
<!-- details.                                                      -->
<!--                                                               -->
<!-- You should have received a copy of the GNU Lesser General     -->
<!-- Public License along with this stylesheet; if not, write to   -->
<!-- the Free Software Foundation, Inc., 59 Temple Place,          -->
<!-- Suite 330, Boston, MA  02111-1307 USA                         -->
<!--                                                               -->
<!-- You can contact Portiko Members by sending e-mail to          -->
<!-- portiko@brzrs2.bau.tu-dresden.de. Please include              -->
<!-- the word 'PORTIKO' in the subject line. The Portiko home page -->
<!-- is located at http://www.portiko.de.                          -->
<!--                                                               -->
<!-- ============================================================= -->

<!-- ============================================================= -->
<!--  Delivered as file "table.mod"                                --> 
<!-- ============================================================= -->

<!-- ============================================================= -->
<!--                    COMMON ENTITIES                            -->
<!-- ============================================================= -->

<!--                    Table FRAME                                -->
<!ENTITY % TFrame       "(void|above|below|hsides|lhs|rhs
                        |vsides|box|border)"                         >

<!--                    Table RULES                                -->
<!ENTITY % TRules       "(none | groups | rows | cols | all)"        >

<!--                    HORIZONTAL PLACEMENT OF TABLE              -->
<!ENTITY % TAlign       "(left | center | right)"                    >

<!--                    CELL ALIGNMENT                             -->
<!ENTITY % cellhalign   "align  (left|center|right|justify|char)
                                                          #IMPLIED
                         char       CDATA                 #IMPLIED
                         charoff    CDATA                 #IMPLIED"  >

<!ENTITY % cellvalign   "valign  (top|middle|bottom|baseline)
                                                          #IMPLIED"  >

<!--                    Table                                      -->
<!ELEMENT table         (caption?, (col*|colgroup*), thead?,
                        tfoot?, tbody+)                              >
<!ATTLIST table
            %common.atts;
            width       CDATA                             #IMPLIED
            border      CDATA                             #IMPLIED
            frame       %TFrame;                          #IMPLIED
            rules       %TRules;                          #IMPLIED
            align       %TAlign;                          #IMPLIED
            cellspacing CDATA                             #IMPLIED
            cellpadding CDATA                             #IMPLIED   >

<!--                    Table Caption                              -->
<!ELEMENT caption      (#PCDATA | %PhraseLevel;)*                    >

<!--                    Table Header                               -->
<!ELEMENT thead        (tr)+                                         >
<!ATTLIST thead
            %cellhalign;
            %cellvalign;                                             >

<!--                    Table FOOTER                               -->
<!ELEMENT tfoot        (tr)+                                         >
<!ATTLIST tfoot
            %cellhalign;
            %cellvalign;                                             >

<!--                    Table BODY                                 -->
<!ELEMENT tbody        (tr)+                                         >
<!ATTLIST tbody
            %cellhalign;
            %cellvalign;                                             >

<!--                    Table COLUMN GROUP                         -->
<!ELEMENT colgroup     (col)*                                        >
<!ATTLIST colgroup
            span        NMTOKEN                           "1"
            width       CDATA                             #IMPLIED
            %cellhalign;
            %cellvalign;                                             >

<!--                    Table COLUMN                               -->
<!ELEMENT col          EMPTY                                         >
<!ATTLIST col
            span        NMTOKEN                           "1"
            width       CDATA                             #IMPLIED
            %cellhalign;
            %cellvalign;                                             >

<!--                    Table ROW                                  -->
<!ELEMENT tr           (th|td)+                                      >
<!ATTLIST tr
            %cellhalign;
            %cellvalign;                                             >

<!--                    Table HEADER CELL                          -->
<!ELEMENT th           (#PCDATA | %PhraseLevel;)*                    >
<!ATTLIST th
            rowspan     NMTOKEN                                "1"
            colspan     NMTOKEN                                "1"
            width       CDATA                             #IMPLIED
            height      CDATA                             #IMPLIED
            nowrap      CDATA                             #IMPLIED
            %cellhalign;
            %cellvalign;                                             >

<!--                    Table DATA CELL                            -->
<!ELEMENT td           (#PCDATA | %PhraseLevel;)*                    >
<!ATTLIST td
            rowspan     NMTOKEN                                "1"
            colspan     NMTOKEN                                "1"
            width       CDATA                             #IMPLIED
            height      CDATA                             #IMPLIED
            nowrap      CDATA                             #IMPLIED
            %cellhalign;
            %cellvalign;                                             >

<!--==================  END OF Table MODULE  ==================== -->
